ChartDirector Ver 5.0 (PHP Edition)

DrawArea.rAffineTransform

Usage

rAffineTransform(a, b, c, d, e, f [, bgColor [, filter [, blur ]]])

Description

Perform reverse affine transformation on the drawing surface.
A reverse affine transformation is an operation where every pixel is copied from another pixel according to the formula.

    xSrc = a * xDest + b * yDest + c
    ySrc = d * xDest + e * yDest + f

where (xDest, yDest) is a destination pixel, and (xSrc, ySrc) is where it should come from.
Many graphics operation, such as translation, rotation, and resizing, can be considered as a special case of reverse affine transformation.

Arguments

Argument | Default | Description
--- | --- | ---
a | (Mandatory) | The parameter 'a' in the coordinate transformation formula "xSrc = a * xDest + b * yDest + c".
b | (Mandatory) | The parameter 'b' in the coordinate transformation formula "xSrc = a * xDest + b * yDest + c".
c | (Mandatory) | The parameter 'c' in the coordinate transformation formula "xSrc = a * xDest + b * yDest + c".
d | (Mandatory) | The parameter 'd' in the coordinate transformation formula "ySrc = d * xDest + e * yDest + f".
e | (Mandatory) | The parameter 'e' in the coordinate transformation formula "ySrc = d * xDest + e * yDest + f".
f | (Mandatory) | The parameter 'f' in the coordinate transformation formula "ySrc = d * xDest + e * yDest + f".
bgColor | FFFFFF | The background color used to fill destination pixels that are not mapped to any source pixels.
filter | LinearFilter | The filter to use for re-sampling.
blur | 1 | The blur factor to use for re-sampling.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.